Summary: Database Independent Abstraction Layer for C
Name: libdbi
Version: 0.9.0
Release:    1%{?dist}
License: LGPLv2+
URL: http://libdbi.sourceforge.net/

Source0: http://prdownloads.sourceforge.net/libdbi/%{name}-%{version}.tar.gz

Patch1: libdbi-aarch64.patch

BuildRequires: openjade docbook-style-dsssl
BuildRequires: gcc
BuildRequires: make
Conflicts: libdbi-dbd-mysql < 0.8
Conflicts: libdbi-dbd-pgsql < 0.8

%description
libdbi implements a database-independent abstraction layer in C, similar to the
DBI/DBD layer in Perl. Writing one generic set of code, programmers can
leverage the power of multiple databases and multiple simultaneous database
connections by using this framework.

The libdbi package contains just the libdbi framework.  To make use of
libdbi you will also need one or more plugins from libdbi-drivers, which
contains the plugins needed to interface to specific database servers.

%package devel
Summary: Development files for libdbi (Database Independent Abstraction Layer for C)
Requires:	%{name} = %{version}-%{release}

%description devel
The libdbi-devel package contains the header files and documentation
needed to develop applications with libdbi.

%package doc
Summary: Documentation for libdbi (Database Independent Abstraction Layer for C)
BuildArch: noarch

%description doc
The libdbi-doc package contains guides for development of applications with libdbi.



%prep
%setup -q -n %{name}-%{version}

%patch1 -p1

%build
%configure

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

rm -f %{buildroot}%{_libdir}/libdbi.a
rm -f %{buildroot}%{_libdir}/libdbi.la

rm -rf %{buildroot}%{_docdir}/%{name}-%{version}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS
%doc ChangeLog
%doc README
%doc NEWS
%license COPYING
%{_libdir}/libdbi.so.*

%files devel
%doc TODO
%{_includedir}/dbi/
%{_libdir}/libdbi.so
%{_libdir}/pkgconfig/dbi.pc

%files doc
%license COPYING
%doc doc/programmers-guide.pdf
%doc doc/programmers-guide/
%doc doc/driver-guide.pdf
%doc doc/driver-guide/

%changelog
* Wed Jul 17 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-1
- initial build
